---
search:
  tags:
    - Warehouses
    - PUT
seo:
  description: >-
    Creates an association… Reference for the PUT
    /api/v1/{team_slug}/{app_slug}/warehouses/{warehouse_slug}/market/{market_slug}
    endpoint in the Management API.
sidebar:
  label: Add a market to a warehouse
  badge: PUT
title: Add a market to a warehouse
type: openapi-operation
---
Creates an association between a specific market and warehouse, allowing the warehouse to serve that market's customers.

`PUT /api/v1/{team_slug}/{app_slug}/warehouses/{warehouse_slug}/market/{market_slug}`

**Responses**

- `200` — Updated warehouse data
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "address": {
      "city": "string",
      "country": "string",
      "postal_code": "string",
      "state": "string",
      "street_address": "string"
    },
    "app_id": "string",
    "available_online": true,
    "created_at": "string",
    "id": "string",
    "markets": [
      {
        "active": true,
        "country_codes": [
          "string"
        ],
        "created_at": "string",
        "currency_code": "string",
        "id": "string",
        "locale": "string",
        "name": "string",
        "slug": "string",
        "updated_at": "string"
      }
    ],
    "name": "string",
    "slug": "string",
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
